%include	/usr/lib/rpm/macros.php
%define		_status		beta
%define		_pearname	Mail_IMAP
%define		subver RC2
%define		rel 7
Summary:	%{_pearname} - a c-client webmail backend
Summary(pl.UTF-8):	%{_pearname} - backend webmaila oparty o bibliotekę c-client
Name:		php-pear-%{_pearname}
Version:	1.1.0
Release:	0.%{subver}.%{rel}
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}%{subver}.tgz
# Source0-md5:	5ed47847db2ff6e5ff733f2bd2147bef
URL:		http://pear.php.net/package/Mail_IMAP/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.571
Requires:	php(imap)
Requires:	php-pear >= 4:1.3-6
Suggests:	php-pear-Net_URL
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(Net/URL.*)'

%description
Mail_IMAP provides a simplifed backend for working with the c-client
(IMAP) extension. It serves as an OO wrapper for commonly used
c-client functions. It provides structure and header parsing as well
as body retrieval.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Mail_IMAP dostarcza uproszczonego backendu do pracy z rozszerzeniem
IMAP. Działa jako zorientowany obiektowo wrapper na często używane
funkcje biblioteki c-client. Przetwarza struktury oraz nagłówki jak
również umożliwia odbiór treści wiadomości.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p <lua>
%pear_package_print_optionalpackages

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Mail/IMAP.php
%changelog
* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 8d28d90
- use virtual php extension deps (to be independant of php version)
- release 7 (by relup.sh)

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> 870189a
- Mail dir in php-pear; rel 6

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 9bc7358
- updated deps with pearize.sh
- release 5

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 95e083c
- rel 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7742e11
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8b30c2f
- converted to UTF-8

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> e66e738
- rel 3: use php(extension) virtuals

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 806fb41
- BR rpm-build macros >= 1.300 for %pear_ macros

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> 723b359
- rel 2 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 06cc770
- BR php-pear-PEAR

* Thu Oct 06 2005 Elan Ruusamäe <glen@pld-linux.org> 3161e55
- up to 1.1.0 RC2

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 41e2643
- rel .1

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 082664a
- semi automatically added deps from pear

* Wed Sep 28 2005 Elan Ruusamäe <glen@pld-linux.org> 6f8defb
- new pear packaging

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> bc01a7d
- fixed english information about status of the package

* Sat Apr 17 2004 Adam Gołębiowski <adamg@pld-linux.org> 77b9ce9
- updated to 1.0.0RC3

* Wed Apr 14 2004 Adam Gołębiowski <adamg@pld-linux.org> c77923c
- updated to 1.0.0RC2

* Thu Apr 08 2004 Adam Gołębiowski <adamg@pld-linux.org> 391dba4
- updated to 1.0.0RC1

* Mon Mar 15 2004 ankry <ankry@pld-linux.org> 0389b8c
- massive cosmetics

* Sat Mar 13 2004 Adam Gołębiowski <adamg@pld-linux.org> 484c1c1
- updated to 0.3.0A

